Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## net.minecraft.world.gen.structure
Enum EnumDoor

    java.lang.Object
      java.lang.Enum<EnumDoor>
          net.minecraft.world.gen.structure.EnumDoor

All Implemented Interfaces:
  Serializable, Comparable<EnumDoor>

    public enum EnumDoor

extends Enum<EnumDoor>

Enum Constant Summary
`GRATES`
`IRON_DOOR`
`OPENING`
`WOOD_DOOR`

Method Summary
`static EnumDoor` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static EnumDoor[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### OPENING

    public static final EnumDoor OPENING

### WOOD_DOOR

    public static final EnumDoor WOOD_DOOR

### GRATES

    public static final EnumDoor GRATES

### IRON_DOOR

    public static final EnumDoor IRON_DOOR

Method Detail

### values

    public static EnumDoor[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (EnumDoor c : EnumDoor.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static EnumDoor valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD